# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "tusks"
version = "2.1.5"
authors = ["Benjamin Schnitzler"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Easily build a CLI based on a Rust Module/Function Structure"
readme = "README.md"
license = "MIT"
repository = "https://github.com/bschnitz/tusks"

[features]
debug = ["tusks-macro/debug"]

[lib]
name = "tusks"
path = "src/lib.rs"

[dependencies.clap]
version = "4.5.53"

[dependencies.tusks-lib]
version = "2.1.5"

[dependencies.tusks-macro]
version = "2.1.5"

[dependencies.tusks-tasks]
version = "2.1.5"
